gr::satellites::selector Class Referenceabstract

output[output_index][i] = input[input_index][i] More...

`#include <selector.h>`

Inheritance diagram for gr::satellites::selector:

## Public Types

typedef std::shared_ptr< selector > | sptr

## Public Member Functions

virtual void | set_enabled (bool enable)=0
virtual bool | enabled () const =0
virtual void | set_input_index (unsigned int input_index)=0
virtual int | input_index () const =0
virtual void | set_output_index (unsigned int output_index)=0
virtual int | output_index () const =0

## Static Public Member Functions

static sptr | make (size_t itemsize, unsigned int input_index, unsigned int output_index)

## Detailed Description

output[output_index][i] = input[input_index][i]

Connect the sink at input index to the source at output index.

All the samples available from other input ports are consumed and dumped.

Other output ports produce no samples.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<selector> gr::satellites::selector::sptr

## Member Function Documentation

## enabled()

virtual bool gr::satellites::selector::enabled | ( |  | ) | const

pure virtual

Implemented in gr::satellites::selector_impl.

## input_index()

virtual int gr::satellites::selector::input_index | ( |  | ) | const

pure virtual

Implemented in gr::satellites::selector_impl.

## make()

static sptr gr::satellites::selector::make | ( | size_t | itemsize,
|  | unsigned int | input_index,
|  | unsigned int | output_index
| ) |  |

static

Create new selector block and return a shared pointer to it

Parameters

  itemsize | size of the input and output items
  input_index | the initially active input index
  output_index | the initially active output index

## output_index()

virtual int gr::satellites::selector::output_index | ( |  | ) | const

pure virtual

Implemented in gr::satellites::selector_impl.

## set_enabled()

virtual void gr::satellites::selector::set_enabled | ( | bool | enable | ) |

pure virtual

When enabled is set to false, no output samples are produced. Otherwise samples are copied to the selected output port

Implemented in gr::satellites::selector_impl.

## set_input_index()

virtual void gr::satellites::selector::set_input_index | ( | unsigned int | input_index | ) |

pure virtual

Implemented in gr::satellites::selector_impl.

## set_output_index()

virtual void gr::satellites::selector::set_output_index | ( | unsigned int | output_index | ) |

pure virtual

Implemented in gr::satellites::selector_impl.

The documentation for this class was generated from the following file:

- selector.h